Package org.eclipse.cdt.core.parser

# Enum Class KeywordSetKey

java.lang.Object
java.lang.Enum<KeywordSetKey>
org.eclipse.cdt.core.parser.KeywordSetKey

All Implemented Interfaces:
  `Serializable`, `Comparable<KeywordSetKey>`, `java.lang.constant.Constable`

public enum KeywordSetKey extends Enum<KeywordSetKey>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`BASE_SPECIFIER`
`DECL_SPECIFIER_SEQUENCE`
`DECLARATION`
`EMPTY`
`EXPRESSION`
`FUNCTION_MODIFIER`
`KEYWORDS`
`MACRO`
`MEMBER`
`NAMESPACE_ONLY`
`POST_USING`
`PP_DIRECTIVE`
`STATEMENT`
`TYPES`

## Method Summary

Modifier and Type
Method
Description
`static KeywordSetKey`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeywordSetKey[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EMPTY

public static final KeywordSetKey EMPTY

### DECL_SPECIFIER_SEQUENCE

public static final KeywordSetKey DECL_SPECIFIER_SEQUENCE

### DECLARATION

public static final KeywordSetKey DECLARATION

### STATEMENT

public static final KeywordSetKey STATEMENT

### BASE_SPECIFIER

public static final KeywordSetKey BASE_SPECIFIER

### POST_USING

public static final KeywordSetKey POST_USING

### FUNCTION_MODIFIER

public static final KeywordSetKey FUNCTION_MODIFIER

### NAMESPACE_ONLY

public static final KeywordSetKey NAMESPACE_ONLY

### MACRO

public static final KeywordSetKey MACRO

### PP_DIRECTIVE

public static final KeywordSetKey PP_DIRECTIVE

### EXPRESSION

public static final KeywordSetKey EXPRESSION

### MEMBER

public static final KeywordSetKey MEMBER

### ALL

public static final KeywordSetKey ALL

### KEYWORDS

public static final KeywordSetKey KEYWORDS

### TYPES

public static final KeywordSetKey TYPES

## Method Details

### values

public static KeywordSetKey[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KeywordSetKey valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null